dtexec(user cmd)

NAME
dtexec — execute command-based action

SYNOPSIS

dtexec [-openopen_option] [-ttprocidprocid] [-tmptmpfile] [cmd] [cmd_arg ...]

DESCRIPTION

XCDE uses the dtexec utility to execute COMMAND actions. In normal usage, XCDE automatically invokes dtexec when it is needed. XCDE users and administrators do not need to interact directly with dtexec.

The primary argument for dtexec is the name of a command to execute and any command-line options or arguments for that command. There are several important services that dtexec provides for the commands that it executes. These services are controlled via the options specified in the ``OPTIONS'' section in this document.

OPTIONS

The following options are available:

-open open_option
    The -open option tells dtexec whether it should continue to run or exit after the command terminates.

    The valid values for open_option are:

    -1  (default) continue to execute after cmd terminates.

    0   exit as soon as cmd terminates.

    n   continue to execute if cmd terminates within n seconds of starting.

    The values -1 and n are typically used when COMMAND actions are executed in a terminal emulator to control the lifetime of the terminal window.

-ttprocid procid
    The dtexec command uses the -ttprocid option to send ToolTalk messages back to the application that invoked the COMMAND action. These messages are used to convey status information (for example, the command has terminated).

-tmp tmpfile
    The -tmp option names a temporary file that dtexec removes after cmd terminates if either no -ttprocid option is supplied or contact is lost with the specified procid. In normal usage, the parent process that starts dtexec, performs this cleanup. This option can be issued multiple times, once for each tmp file present. Typically, tmpfile also appears as a cmd_arg.

EXIT STATUS

The following exit values are returned:

0   Implies all system resources were available to fork and exec the requested command, not that the requested command executed successfully.

1   An error occurred.

APPLICATION USAGE

Normally, application programs do not directly invoke this program. Normally, an application program links with the action service, which then invokes dtexec as needed. Applications should use the waitTime resource to configure the value of the -open_option and the DtexecPath resource to configure the location of dtexec.

If cmd writes to stderr, the error messages are time stamped and redirected to the user's errorlog file ($HOME/.dt/errorlog) when open_option is 0. If open_option is set otherwise, the error messages are typically displayed in the terminal window.

SEE ALSO

dtaction(1), dtactionfile(4).